package com.e6yun.project.sdk.api.pojo.basevo.iot;

import com.google.common.base.MoreObjects;

import java.util.List;

/**
 * @Description TODO
 * @Author xxx@e6yun.com
 * @Created Date: 2021/7/6 15:43
 * @ClassName TrackByDataTerminalIdVO
 * @Remark
 */
public class TrackByDataTerminalId {

    private Integer pageSize;

    private Integer currentPage;

    private Integer vehicleId;

    private Integer carId;

    private String sTime;

    private String eTime;

    private String gpsTime;

    private Integer mileage;

    private Integer second;

    private Integer stopLine;

    private Boolean hasLast;

    private Boolean hasOneD;

    private Integer oilStatus;

    private List<Integer> vehicleIds;

    private List<Integer> carIds;

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Integer getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(Integer currentPage) {
        this.currentPage = currentPage;
    }

    public Integer getVehicleId() {
        return vehicleId;
    }

    public void setVehicleId(Integer vehicleId) {
        this.vehicleId = vehicleId;
    }

    public Integer getCarId() {
        return carId;
    }

    public void setCarId(Integer carId) {
        this.carId = carId;
    }

    public String getsTime() {
        return sTime;
    }

    public void setsTime(String sTime) {
        this.sTime = sTime;
    }

    public String geteTime() {
        return eTime;
    }

    public void seteTime(String eTime) {
        this.eTime = eTime;
    }

    public String getGpsTime() {
        return gpsTime;
    }

    public void setGpsTime(String gpsTime) {
        this.gpsTime = gpsTime;
    }

    public Integer getMileage() {
        return mileage;
    }

    public void setMileage(Integer mileage) {
        this.mileage = mileage;
    }

    public Integer getSecond() {
        return second;
    }

    public void setSecond(Integer second) {
        this.second = second;
    }

    public Integer getStopLine() {
        return stopLine;
    }

    public void setStopLine(Integer stopLine) {
        this.stopLine = stopLine;
    }

    public Boolean getHasLast() {
        return hasLast;
    }

    public void setHasLast(Boolean hasLast) {
        this.hasLast = hasLast;
    }

    public Boolean getHasOneD() {
        return hasOneD;
    }

    public void setHasOneD(Boolean hasOneD) {
        this.hasOneD = hasOneD;
    }

    public Integer getOilStatus() {
        return oilStatus;
    }

    public void setOilStatus(Integer oilStatus) {
        this.oilStatus = oilStatus;
    }

    public List<Integer> getVehicleIds() {
        return vehicleIds;
    }

    public void setVehicleIds(List<Integer> vehicleIds) {
        this.vehicleIds = vehicleIds;
    }

    public List<Integer> getCarIds() {
        return carIds;
    }

    public void setCarIds(List<Integer> carIds) {
        this.carIds = carIds;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("pageSize", pageSize)
                .add("currentPage", currentPage)
                .add("vehicleId", vehicleId)
                .add("carId", carId)
                .add("sTime", sTime)
                .add("eTime", eTime)
                .add("gpsTime", gpsTime)
                .add("mileage", mileage)
                .add("second", second)
                .add("stopLine", stopLine)
                .add("hasLast", hasLast)
                .add("hasOneD", hasOneD)
                .add("oilStatus", oilStatus)
                .add("vehicleIds", vehicleIds)
                .add("carIds", carIds)
                .toString();
    }
}
